## org.apache.lucene.search
Interface FieldCache.ShortParser

All Superinterfaces:
  FieldCache.Parser, java.io.Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.ShortParser

extends FieldCache.Parser

Interface to parse shorts from document fields.

See Also:
  `FieldCache.getShorts(IndexReader, String, FieldCache.ShortParser)`

Method Summary
`short` `parseShort(java.lang.String string)` Return a short representation of this field's value.

Method Detail

### parseShort

    short parseShort(java.lang.String string)

  Return a short representation of this field's value.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.